Package org.globus.ftp.dc

# Class GridFTPPassiveConnectTask

java.lang.Object
org.globus.ftp.dc.Task
org.globus.ftp.dc.PassiveConnectTask
org.globus.ftp.dc.GridFTPPassiveConnectTask

public class GridFTPPassiveConnectTask extends PassiveConnectTask
Unlike in the parent class, here we use authentication and protection.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static org.apache.commons.logging.Log`
`logger`

### Fields inherited from class org.globus.ftp.dc.PassiveConnectTask

`context, control, factory, myServer, mySocketBox, session, sink, source`

### Fields inherited from class org.globus.ftp.dc.Task

`complete, exception`

## Constructor Summary

Constructors
Constructor
Description
`GridFTPPassiveConnectTask(ServerSocket myServer, DataSink sink, BasicServerControlChannel control, GridFTPSession session, DataChannelFactory factory, EBlockParallelTransferContext context)`
`GridFTPPassiveConnectTask(ServerSocket myServer, DataSource source, BasicServerControlChannel control, GridFTPSession session, DataChannelFactory factory, EBlockParallelTransferContext context)`

## Method Summary

Modifier and Type
Method
Description
`protected SocketBox`
`openSocket()`
Override this to implement authentication

### Methods inherited from class org.globus.ftp.dc.PassiveConnectTask

`execute, stop`

### Methods inherited from class org.globus.ftp.dc.Task

`setComplete, waitFor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected static org.apache.commons.logging.Log logger

## Constructor Details

### GridFTPPassiveConnectTask

public GridFTPPassiveConnectTask(ServerSocket myServer, DataSink sink, BasicServerControlChannel control, GridFTPSession session, DataChannelFactory factory, EBlockParallelTransferContext context)

### GridFTPPassiveConnectTask

public GridFTPPassiveConnectTask(ServerSocket myServer, DataSource source, BasicServerControlChannel control, GridFTPSession session, DataChannelFactory factory, EBlockParallelTransferContext context)

## Method Details

### openSocket

protected SocketBox openSocket() throws Exception
Description copied from class: `PassiveConnectTask`
Override this to implement authentication

Overrides:
  `openSocket` in class `PassiveConnectTask`
Throws:
  `Exception`